Author Topic: Can't get .4 running, DB Schema error  (Read 2260 times)

Offline Penumbra

  • Newbie
  • *
  • Posts: 7
Can't get .4 running, DB Schema error
« on: June 28, 2010, 02:56:47 PM »
DB Schema:  NOT OK(Database schema differs)

Please manually execute the SQL statements from /var/www/rc-beta/SQL/mysql.update.sql on your database.
See comments in the file and execute queries that are superscribed with the currently installed version number.

This occurred after I upgraded from 0.3.1 beta to 0.4.0 beta.

"OOPS!" I said, and ran the update script "mysql.update.sql" without a single error.  I tried the check and got this error:

DB Schema:  NOT OK(Database schema differs)

Please manually execute the SQL statements from /var/www/rc-beta/SQL/mysql.update.sql on your database.
See comments in the file and execute queries that are superscribed with the currently installed version number.

"Huh.." I said.

I dropped the Database entirely, and installed a new one from "SQL/mysql.initial.sql" - and now receive this message:

DB Schema:  NOT OK(Database schema differs)

Please manually execute the SQL statements from /var/www/rc-beta/SQL/mysql.update.sql on your database.
See comments in the file and execute queries that are superscribed with the currently installed version number.

Notice how ALL THREE  ARE THE SAME MESSAGE?

The table has been built using the .4 scripts, yet .4 won't recognize it as valid - and I can't access my mailbox through it anymore (logins aren't working, likely because the DB isn't right).

I've already abused my system enough trying to fix this.

Can someone using .4 PLEASE confirm that these SQL scripts SHOULD function properly, and if not - PLEASE let me know what the changes are so that I can fix this?

Thanks!

P

Offline Penumbra

  • Newbie
  • *
  • Posts: 7
Can't get .4 running, DB Schema error
« Reply #1 on: June 28, 2010, 03:01:50 PM »
Ok..

So - don't upgrade from 0.3.1 beta to 0.4 beta.

I just copied my config files into the 0.4 beta and I can login and all looks OK.

The issue is the upgrade (which I followed to the letter).

Now to spend the next N hours cleaning up and making sure all my users can login etc.

P